Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Tue, 30 Mar 2021 10:52:10 +0000

Hi Fatma Maher,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I am still waiting for the rest of my refund?!?!?!? they refunded half of the money?! what should I call this! are they stealing my money?!?! I need my whole money back refund it ASAP, all of the 2 orders I had before 1 month I have waited a lot! if it's not done I will call somebody to check this out asap and you will get in a problem https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2324789